Package screenlets

[hide private]
[frames] | no frames]

# Package screenlets

source code

Submodules | [hide private]

- screenlets.Plugins
- screenlets.backend
- screenlets.drawing
- screenlets.install
- screenlets.menu
- screenlets.options
- screenlets.plugins
  - screenlets.plugins.Amarok
  - screenlets.plugins.AmazonCoverArtSearch
  - screenlets.plugins.Audacious
  - screenlets.plugins.Banshee
  - screenlets.plugins.BaseConverter
  - screenlets.plugins.Convert
  - screenlets.plugins.CoverSearch
  - screenlets.plugins.Evolution
  - screenlets.plugins.Exaile
  - screenlets.plugins.Flickr
  - screenlets.plugins.GenericPlayer
  - screenlets.plugins.Gstreamer
  - screenlets.plugins.Juk
  - screenlets.plugins.Kaffeine
  - screenlets.plugins.LastFMProxy
  - screenlets.plugins.LengthConverter
  - screenlets.plugins.Listen
  - screenlets.plugins.Loader
  - screenlets.plugins.Mail
  - screenlets.plugins.Mplayer
  - screenlets.plugins.Proxy
  - screenlets.plugins.Quodlibet
  - screenlets.plugins.Rhythmbox
  - screenlets.plugins.SizeConverter
  - screenlets.plugins.Sonata
  - screenlets.plugins.Songbird
  - screenlets.plugins.TemperatureConverter
  - screenlets.plugins.iCal
  - screenlets.plugins.keyring
  - screenlets.plugins.mail
  - screenlets.plugins.mpdclient2
- screenlets.sensors
- screenlets.services
- screenlets.session
- screenlets.utils

Classes | [hide private]

| DefaultMenuItem A container with constants for the default menuitems
| ScreenletTheme ScreenletThemes are simple storages that allow loading files as svg-handles within a theme-directory.
| Screenlet A Screenlet is a (i.e.
| ShapedWidget A simple base-class for creating owner-drawn gtk-widgets
| Tooltip A window that displays a text and serves as Tooltip (very basic yet).
| Notify A window that displays a text and serves as Notification (very basic yet).

Functions | [hide private]

_(s) | source code

launch_screenlet(name, debug=False) Launch a screenlet, either through its service or by launching a new process of the given screenlet. | source code

show_message(screenlet, message, title=`'````'`) Show a message for the given Screenlet (may contain Pango-Markup). | source code

show_question(screenlet, message, title=`'````'`) Show a question for the given Screenlet (may contain Pango-Markup). | source code

show_error(screenlet, message, title=`'``Error``'`) Show an error for the given Screenlet (may contain Pango-Markup). | source code

fatal_error(message) Raise a fatal error to stdout and stderr and exit with an errorcode. | source code

create_new_instance(name) | source code

Variables | [hide private]

| INSTALL_PREFIX = ``'``/usr``'``
| APP_NAME = ``'``Screenlets``'``
| VERSION = ``'``0.1.2``'``
| COPYRIGHT = ``'``(c) RYX (Rico Pfaus) <ryx@ryxperience.com>\nWhise``...``
| AUTHORS = ``[``'``RYX (Rico Pfaus) <ryx@ryxperience.com>``'``,` `'``Whise (H``...``
| COMMENTS = ``'``Screenlets is a widget framework that consists of` `...``
| DOCUMENTERS = ``[``'``Documentation generated by epydoc``'``]``
| ARTISTS = ``[``'``ODD radio screenlet theme by ODDie\nPasodoble mail``...``
| TRANSLATORS = ``'``Special thanks for translators\nFull Translator``...``
| WEBSITE = ``'``http://www.screenlets.org``'``
| THIRD_PARTY_DOWNLOAD = ``'``http://screenlets.org/index.php/Catego``...``
| DIR_TMP = ``'``/tmp/screenlets/``'``
| TMP_DIR = ``'``/tmp/screenlets/``'``
| TMP_FILE = ``'``screenlets.helder.running``'``
| DIR_USER_ROOT = ``'``/usr/share/screenlets``'``
| DIR_CONFIG = ``'``/home/helder/.config/Screenlets``'``
| SCREENLETS_PATH = ``[``'``/home/helder/.screenlets``'``,` `'``/usr/share/scr``...``
| DAEMON_BUS = ``'``org.screenlets.ScreenletsDaemon``'``
| DAEMON_PATH = ``'``/org/screenlets/ScreenletsDaemon``'``
| DAEMON_IFACE = ``'``org.screenlets.ScreenletsDaemon``'``
| DEBUG_MODE = `True`

Function Details | [hide private]

### launch_screenlet(name, debug=False)

source code

Launch a screenlet, either through its service or by launching a new process of the given screenlet. Name has to be the name of the Screenlet's class without trailing 'Screenlet'. NOTE: we could only launch the file here

### show_message(screenlet, message, title=`'````'`)

source code

Show a message for the given Screenlet (may contain Pango-Markup). If screenlet is None, this function can be used by other objects as well.

Variables Details | [hide private]

### COPYRIGHT

Value:

      '''(c) RYX (Rico Pfaus) <ryx@ryxperience.com>
      Whise (Helder Fraga) <helder.fraga@hotmail.com>'''

### AUTHORS

Value:

      ['RYX (Rico Pfaus) <ryx@ryxperience.com>',
       'Whise (Helder Fraga)<helder.fraga@hotmail.com>',
       'Sorcerer (Hendrik Kaju)']

### COMMENTS

Value:

      'Screenlets is a widget framework that consists of small owner-drawn a
      pplications (written in Python, a very simple object-oriented programm
      ing-language) that can be described as \'the virtual representation of
       things lying/standing around on your desk\'. Sticknotes, clocks, rule
      rs, ... the possibilities are endless. Screenlet also tries to include
       some compatibility with other widget frameworks,like web widgets and
      super karamba themes'

### ARTISTS

Value:

      ['''ODD radio screenlet theme by ODDie
      Pasodoble mail theme by jEsuSdA
      Some themes by RYX
      Some themes by Whise
      More to come...''']

### TRANSLATORS

Value:

      '''Special thanks for translators
      Full Translator list on https://translations.launchpad.net/screenlets/
      '''

### THIRD_PARTY_DOWNLOAD

Value:

      'http://screenlets.org/index.php/Category:UserScreenlets'

### SCREENLETS_PATH

Value:

      ['/home/helder/.screenlets', '/usr/share/screenlets']